<template>
    <div class="dashboard">
        <div class="grid-container">
            <!-- <header class="header"></header> -->
            <aside class="sidenav scroll">
              <ul class="nav"></ul>
              <div class="list-dash">
                <!-- profile list -->
                <li class="nav-item">
                  <a href="">
                    <!-- icon -->
                    <b-icon icon="person-fill"></b-icon>
                    <br>
                    <span>Profile</span>
                  </a>
                </li>
                <!-- end of profile list -->

                <!-- event list -->
                <li class="nav-item">
                  <a href="">
                    <!-- icon -->
                    <b-icon icon="grid-fill"></b-icon>
                    <br>
                    <span>Event</span>
                  </a>
                </li>
                <!-- end of event list -->
              </div>
              
            </aside>
            <main class="main"></main>
        </div>
    </div>
</template>

<style scoped>
.grid-container {
  display: grid;
  grid-template-columns: 240px 1fr;
  grid-template-rows: 50px 1fr 50px;
  grid-template-areas:
    "sidenav header"
    "sidenav main"
    "sidenav footer";
  height: 100vh;
}

/* Give every child element its grid name */
.header {
  grid-area: header;
  background-color: #648ca6;
}

.sidenav {
  grid-area: sidenav;
  /* background-color: #394263; */
  height: 100vh;
  background: linear-gradient(rgba(0, 0, 0, .7), rgba(73, 71, 71, 0.9));
  /* background-position: center;
  background-repeat: no-repeat;
  background-size: cover; */
  /* box-shadow: 5px 7px 25px #999; */
  /* min-height: calc(100% - 70px); */
  /* position: fixed; */
  /* font-family: Regular,sans-serif; */
  padding: 0;
  width: 90px;
  z-index: 11;
}

.nav-item{
  padding: 1rem .25rem;
}

.list-dash{
  /* padding-top: 1rem; */
  padding-left: 0;
  margin-bottom: 60px;
}

.scroll{
    overflow-y: auto;
    bottom: 0;
    top: 70px;
}

.main {
  grid-area: main;
  background-color: white;
}

a:link{
  text-decoration: none;
}

a:hover{
  text-decoration: none;
  color: aliceblue;
}

a{
  color: white;
}

li{
  list-style-type: none;
}

</style>